Edit an InvoiceAsk AIpatch https://api.sandbox.helloaria.eu/companies/{companyId}/invoices/{invoiceId}Note: Only works when all linked Loans are in CREATED state.Path ParamscompanyIdstringrequiredDefaults to meinvoiceIdstringrequiredBody ParamsdebtorIduuidUnique ID assigned to a Debtor. When registering an Invoice for a German Debtor, you must provide one of the following: debtorId (Debtor associated to a Debtor's address), creditLimitId (Credit limit associated to a Debtor's address).creditLimitIduuidUnique ID assigned to a Credit limit. When registering an Invoice for a German Debtor, you must provide one of the following: debtorId (Debtor associated to a Debtor's address), creditLimitId (Credit limit associated to a Debtor's address).receivableIdsarray of stringsList of receivables to be linked to this Invoice, before or after requesting a Loan.receivableIdsADD stringattachmentsarray of objectsMandatory sales invoice uploaded with the Upload file endpoint. If you also work with purchase invoices, you may upload them in the Loan endpoint.attachmentsADD objecttotalAmountIncludingTaxesnumberInvoice Amount including tax. May differ from the amount in the Loan.totalAmountExcludingTaxesnumberInvoice Amount excluding tax.currencystringenumEURGBPUSDCHFAllowed:EURGBPUSDCHFinvoiceDatedate-timeDate on which the invoice is generated, in ISO 8601 UTC format.invoiceNumberstringUnique invoice numberinvoiceOwnerstringenumIndicates the ultimate owner of the Invoice who is responsible for assigning the debt. The owner can either be your company or the beneficiary of the Loan. Please use this field only when you encounter different use cases.usercompanyAllowed:usercompanydebtorNamestringName of the client being invoiced.debtorIdentifierobjectIdentifier representing the debtor being invoiceddebtorIdentifier objectcontactsarray of objectsOnly required if no contact has been provided on the Debtor previously.contactsADD objectdebtorMetadataobjectWe may ask you to provide specific properties in this field to enable automation on our side. The specific format and properties will be determined during your onboarding process and can be retrieved via a GET request to /company (metadataJsonSchema).debtorMetadata objectpaymentTermTypestringenumneteomeomfAllowed:neteomeomfrepaymentPeriodnumberActual payment terms written on the invoice. You can find available durations with a GET /company call. Choose one of the contracted terms, agreed with Aria.metadataobjectmetadata objectHeadersx-end-user-ipstringIP of the end-user doing the action resulting in the API call.Responses 201Successfully edited Invoice 400Invalid payload 403Not permitted (e.g trying to create a invoice for a company other than yours) 404Invoice not found 409Conflict (i.e updating an Invoice linked to Loans in a wrong status)Updated 11 months ago